4.5. Lấy sổ lệnh theo Order ID

GET/aion/v1/accounts/{accountNo}/orders/{orderID}
Lấy chi tiết một lệnh theo Order ID của một tiểu khoản.

Header

TênKiểuBắt buộcMô tả
AuthorizationstringBearer <access token>.
Content-Typestringapplication/json.

Path variable

TênKiểuBắt buộcMô tả
accountNostringSố tiểu khoản.
orderIDstringSố hiệu lệnh.
GET /aion/v1/accounts/0001170730/orders/9202110200000060280
curl "https://openapi.tcbs.com.vn/aion/v1/accounts/0001170730/orders/9202110200000060280" \
  -H "Authorization: Bearer $TOKEN" \
  -H "Content-Type: application/json"

Response

TênKiểuBắt buộcMô tả
objectstringMặc định = 'List'.
pageSizeint64Kích thước trang.
pageIndexint64Index trang.
totalCountint64Tổng số bản ghi.
data[].orderIDstringSố hiệu lệnh.
data[].accountNostringSố tiểu khoản.
data[].symbolstringMã chứng khoán.
data[].execTypestringLoại lệnh (NB/NS).
data[].orderQttynumberKhối lượng đặt.
data[].execQttynumberKhối lượng khớp.
data[].priceTypestringLoại giá.
data[].limitPricenumberGiá đặt lệnh.
data[].matchPricenumberGiá khớp trung bình.
data[].orStatusenumTrạng thái lệnh: 0 = Từ chối, 2 = Đã gửi, 3 = Đã hủy, 4 = Đã khớp, 5 = Hết hiệu lực, 8 = Chờ gửi, 10 = Đã sửa, 11 = Đang gửi, 12 = Khớp hết, A = Đang sửa, C = Đang hủy, S = Hoàn tất.
data[].txdatestringNgày đặt lệnh (RFC 3339).
data[].txtimestringGiờ đặt lệnh.
{
  "object": "List",
  "pageSize": 10,
  "pageIndex": 1,
  "totalCount": 1,
  "data": [
    {
      "orderID": "9202110200000060280",
      "accountNo": "0001170730",
      "symbol": "HPG",
      "execType": "NB",
      "orderQtty": 2500,
      "execQtty": 0,
      "priceType": "LO",
      "limitPrice": 25000,
      "matchPrice": 0,
      "orStatus": "11",
      "txdate": "2021-08-19T00:00:00.000+07:00",
      "txtime": "14:15:34"
    }
  ]
}